Subject: minor changes
From: "Mike" <[email-masked]>
To: "Andi Kuhn" <[email-masked]>
Date: Tue, 6 Nov 2007 14:44:25 -0500

Andi,
I found a few things that could be fixed.  
First, when selecting any product of which the total ends in .50, the extension of the price has an extra decimal point in the price.  This is before you add it to cart.  (So it shows up like $39.5.00 instead of $39.50...this is true for the State only and Federal).
Second, if you select a product (filling the dot), you cannot unmark or remove the selection on any of the products.  So if I selected the State only and actually wanted to change my mind and select a complete set, both will remain selected.
Third, has to do with the shipping.  Our system automatically determines if the package is shipped UPS or USPS.  Can you combine these two options to show only Standard Shipping as the only option if not choosing to expedite your order.  So we should only have four options: Next Day, 2-Day, 3-Day, Standard shipping (in this order).  Also, can you have the shipping default to Next-day shipping?  Can you make that drop-down any bigger?  You can barely see the selection in the box as it is.  Maybe this whole section (Sub total, Shipping Method, Total and the amounts) could be increased for better visibility.
Fourth, when directed to the Order online page, can you add a directional phrase that directs the user to the bottom of that page?  Currently you only see the top of the page and even though it seems like a "no-brainer" to scroll down, people may not see it if it's not obvious enough.  Maybe something like "Make selection(s) below" or "Place Order Below".  It does say "Choose Your Product" now.  Maybe just above this phrase and similar to the "Order Your Labor Law Posters" border at the top (above the gray section).
Last, under the HELP tab, there needs to be a space between place & accessible.
I will let you know if I find anything else.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]